Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_PrivateConnectionPolicy Class Reference

RTCORBA::PrivateConnectionPolicy implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_PrivateConnectionPolicy:

[legend]
Collaboration diagram for TAO_PrivateConnectionPolicy:

[legend]
List of all members.

## Public Methods
| TAO_PrivateConnectionPolicy (void)
| Constructor. More...
| TAO_PrivateConnectionPolicy (const TAO_PrivateConnectionPolicy &rhs)
| Copy constructor. More...
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
## Protected Methods
virtual | ~TAO_PrivateConnectionPolicy (void)
| Protected destructor to enforce proper memory management of this reference counted object. More...

## Detailed Description

RTCORBA::PrivateConnectionPolicy implementation.

This policy controls whether the transport connection for the Object is private, i.e., not available for carrying out invocations on other objects.

## Constructor & Destructor Documentation

TAO_PrivateConnectionPolicy::TAO_PrivateConnectionPolicy | ( | void |  | ) |

| Constructor.

TAO_PrivateConnectionPolicy::TAO_PrivateConnectionPolicy | ( | const TAO_PrivateConnectionPolicy & | rhs | ) |

| Copy constructor.

TAO_PrivateConnectionPolicy::~TAO_PrivateConnectionPolicy | ( | void |  | ) | `[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

## Member Function Documentation

TAO_Cached_Policy_Type TAO_PrivateConnectionPolicy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

CORBA::Policy_ptr TAO_PrivateConnectionPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_PrivateConnectionPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::PolicyType TAO_PrivateConnectionPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp